{
    "name": "nuxt4-template",
    "private": true,
    "scripts": {
        "dev": "nuxi dev --mode development",
        "build-only": "nuxi build --mode production",
        "build-test": "nuxi build --mode test",
        "start": "node .output/server/index.mjs",
        "type-check": "vue-tsc --noEmit",
        "lint": "cross-env ESLINT_USE_FLAT_CONFIG=false eslint app --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
        "format": "prettier --write app/",
        "lint:style": "stylelint \"./**/*.{css,scss,vue,html}\" --fix",
        "pre-commit": "lint-staged"
    },
    "dependencies": {
        "@popperjs/core": "npm:@sxzz/popperjs-es@^2.11.7",
        "@unocss/reset": "^66.6.0",
        "@vueuse/core": "^12.4.0",
        "axios": "^1.7.9",
        "body-scroll-lock": "4.0.0-beta.0",
        "crypto-js": "^4.2.0",
        "dayjs": "^1.11.13",
        "element-plus": "^2.13.0",
        "lodash-es": "^4.17.21",
        "nprogress": "^0.2.0",
        "nuxt": "^4.2.2",
        "pinia": "^3.0.4",
        "qs": "^6.14.0",
        "vue": "^3.5.26",
        "vue-router": "^4.6.4"
    },
    "devDependencies": {
        "@element-plus/nuxt": "^1.1.4",
        "@iconify-json/ant-design": "^1.2.5",
        "@iconify-json/ep": "^1.2.3",
        "@iconify-json/logos": "^1.2.4",
        "@iconify/utils": "^2.3.0",
        "@nuxt/devtools": "^2.0.0",
        "@nuxtjs/color-mode": "^3.5.2",
        "@nuxtjs/i18n": "^9.1.1",
        "@pinia/nuxt": "^0.11.3",
        "@tsconfig/node18": "^2.0.0",
        "@types/body-scroll-lock": "^3.1.2",
        "@types/crypto-js": "^4.2.2",
        "@types/node": "^22.10.5",
        "@types/qs": "^6.9.18",
        "@typescript-eslint/eslint-plugin": "^8.19.1",
        "@typescript-eslint/parser": "^8.19.1",
        "@unocss/nuxt": "^66.6.0",
        "@unocss/runtime": "^66.6.0",
        "@vitejs/plugin-vue": "^5.2.1",
        "@vitejs/plugin-vue-jsx": "^4.1.1",
        "@vue/tsconfig": "^0.7.0",
        "@vueuse/nuxt": "^12.4.0",
        "cross-env": "^7.0.3",
        "eslint": "^9.17.0",
        "eslint-config-prettier": "^9.1.0",
        "eslint-plugin-prettier": "^5.2.1",
        "eslint-plugin-vue": "^9.32.0",
        "husky": "^9.1.7",
        "lint-staged": "^15.3.0",
        "npm-run-all": "^4.1.5",
        "postcss": "^8.4.49",
        "postcss-html": "^1.7.0",
        "postcss-scss": "^4.0.9",
        "prettier": "^3.4.2",
        "rollup-plugin-visualizer": "^5.13.1",
        "sass": "^1.83.1",
        "sass-loader": "^16.0.4",
        "stylelint": "^16.12.0",
        "stylelint-config-recommended-scss": "^14.1.0",
        "stylelint-config-standard": "^36.0.1",
        "stylelint-config-standard-vue": "^1.0.0",
        "stylelint-order": "^6.0.4",
        "stylelint-scss": "^6.10.0",
        "typescript": "^5.7.3",
        "unocss": "^66.6.0",
        "unplugin-auto-import": "^19.0.0",
        "unplugin-icons": "^22.0.0",
        "unplugin-vue-components": "^28.0.0",
        "vite": "^6.0.7",
        "vite-plugin-checker": "^0.8.0",
        "vue-eslint-parser": "^9.4.3",
        "vue-tsc": "^2.2.0"
    },
    "lint-staged": {
        "*.{vue,js,ts,jsx,tsx}": [
            "pnpm lint",
            "pnpm format"
        ],
        "*.{css,scss,vue,html}": [
            "pnpm lint:style",
            "pnpm format"
        ]
    },
    "packageManager": "pnpm@10.26.2+sha512.0e308ff2005fc7410366f154f625f6631ab2b16b1d2e70238444dd6ae9d630a8482d92a451144debc492416896ed16f7b114a86ec68b8404b2443869e68ffda6"
}